
Calculate Linux - Support # 399: ITalc 1.0.9 Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñ‹ Ñ• ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¾Ð¹ Ð² CLDX-11.9-i686 Ð¸ Ð² CLD-11.9-x86-64
Subject: ITalc 1.0.9 Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñ‹ Ñ• ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¾Ð¹ Ð² CLDX-11.9-i686 Ð¸ Ð² CLD-11.9-x86-64

Description: ÐŸÑ€Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐµ Ð¿Ð°Ð´Ð°ÐµÑ‚ Ñ• Ð¾Ð´Ð½Ð¾Ð¹ Ð¸ Ñ‚Ð¾Ð¹ Ð¶Ðµ Ð¾ÑˆÐ¸Ð±ÐºÐ¾Ð¹:

<pre>

x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I./x11 -I./x11/x11vnc -I./x11/libvncserver 

-I./../lib/include -I./../lib/include/rfb -I./src -I..  -O2 -march=x86-64 -pipe -I/usr/include -I/usr/include  

-I/usr/include/qt4 -I/usr/include/qt4/Qt -D_REENTRANT -DQT_NO_DEBUG -DQT_CORE_LIB 

-DQT_XML_LIB -DQT_THREAD_SUPPORT -O2 -DBUILD_ICA  -O2 -march=x86-64 -pipe -I/usr/include -g 

-O2 -Wall -fPIC -fno-strict-aliasing -MT ica_qrc.o -MD -MP -MF .deps/ica_qrc.Tpo -c -o ica_qrc.o `test -f 

'./ica_qrc.cpp' || echo './'`./ica_qrc.cpp

mv -f .deps/ica_qrc.Tpo .deps/ica_qrc.Po

x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I./x11 -I./x11/x11vnc -I./x11/libvncserver 

-I./../lib/include -I./../lib/include/rfb -I./src -I..  -O2 -march=x86-64 -pipe -I/usr/include -I/usr/include  -O2 

-DBUILD_ICA -DVNCSHARED -DFOREVER -DNOREPEAT=0 -DNOPW=1 -DREMOTE_CONTROL=0 

-DEXTERNAL_COMMANDS=0 -DFILEXFER=0 -DNOGUI -DSMALL_FOOTPRINT=1 -w -O2 

-march=x86-64 -pipe -I/usr/include -g -O2 -Wall -fPIC -fno-strict-aliasing -MT x11vnc.o -MD -MP -MF 

.deps/x11vnc.Tpo -c -o x11vnc.o `test -f './x11/x11vnc.c' || echo './'`./x11/x11vnc.c

In file included from ./x11/x11vnc/remote.c:21:0,

                 from ./x11/x11vnc.c:10:

./x11/x11vnc/pointer.h:10:13: Ð¾ÑˆÐ¸Ð±ÐºÐ°: â€˜pointerâ€™ Ð¿Ð¾Ð²Ñ‚Ð¾Ñ€Ð½Ð¾ 

Ð´ÐµÐºÐ»Ð°Ñ€Ð¸Ñ€Ð¾Ð²Ð°Ð½ ÐºÐ°Ðº Ñ•Ð¸Ð¼Ð²Ð¾Ð» Ð´Ñ€ÑƒÐ³Ð¾Ð³Ð¾ Ð²Ð¸Ð´Ð°

/usr/include/X11/Xdefs.h:53:15: Ð·Ð°Ð¼ÐµÑ‡Ð°Ð½Ð¸Ðµ: Ð·Ð´ÐµÑ•ÑŒ Ð±Ñ‹Ð»Ð° 

Ð¿Ñ€ÐµÐ´Ñ‹Ð´ÑƒÑ‰Ð°Ñ• Ð´ÐµÐºÐ»Ð°Ñ€Ð°Ñ†Ð¸Ñ• â€˜pointerâ€™

make[3]: *** [x11vnc.o] ÐžÑˆÐ¸Ð±ÐºÐ° 1

make[3]: Ð’Ñ‹Ñ…Ð¾Ð´ Ð¸Ð· ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð° 

`/var/calculate/tmp/portage/net-misc/italc-1.0.9/work/italc-1.0.9/ica'

make[2]: *** [all] ÐžÑˆÐ¸Ð±ÐºÐ° 2

make[2]: Ð’Ñ‹Ñ…Ð¾Ð´ Ð¸Ð· ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð° 

`/var/calculate/tmp/portage/net-misc/italc-1.0.9/work/italc-1.0.9/ica'

make[1]: *** [all-recursive] ÐžÑˆÐ¸Ð±ÐºÐ° 1

make[1]: Ð’Ñ‹Ñ…Ð¾Ð´ Ð¸Ð· ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð° 

`/var/calculate/tmp/portage/net-misc/italc-1.0.9/work/italc-1.0.9'

make: *** [all] ÐžÑˆÐ¸Ð±ÐºÐ° 2

emake failed

 * ERROR: net-misc/italc-1.0.9 failed (compile phase):

 *   died running emake, base_src_make

 * 

 * Call stack:

 *     ebuild.sh, line   91:  Called src_compile

 *   environment, line 3634:  Called base_src_compile

 *   environment, line  683:  Called base_src_make

 *   environment, line  721:  Called die

 * The specific snippet of code:

 *           emake "$@" || die "died running emake, $FUNCNAME";

 * 

 * If you need support, post the output of 'emerge --info =net-misc/italc-1.0.9',

 * the complete build log and the output of 'emerge -pqv =net-misc/italc-1.0.9'.

 * The complete build log is located at '/var/calculate/tmp/portage/net-misc/italc-1.0.9/temp/build.log'.
 * The ebuild environment file is located at 

'/var/calculate/tmp/portage/net-misc/italc-1.0.9/temp/environment'.

 * S: '/var/calculate/tmp/portage/net-misc/italc-1.0.9/work/italc-1.0.9'

</pre>



ÐšÑ•Ñ‚Ð°Ñ‚Ð¸ ÐµÑ•Ñ‚ÑŒ ÑƒÐ¶Ðµ Ð²ÐµÑ€Ñ•Ð¸Ñ• 2.0.0 Ð½ÐµÐ»ÑŒÐ·Ñ• Ð»Ð¸ ÐµÐµ 

Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ

History

02/01/2012 07:47 am - Ð•Ð²Ð³ÐµÐ½Ð¸Ð¹ Ð§ÑƒÐ³Ð°Ð¸Ð½Ð¾Ð²

ÐŸÑ€Ð¾Ð±Ð¾Ð²Ð°Ð» Ñ•Ð°Ð¼ Ñ•ÐºÐ°Ñ‡Ð°Ñ‚ÑŒ 

git clone git://italc.git.sourceforge.net/gitroot/italc/italc

Ð½Ð¾ Ð½Ð° 88% ÑƒÐ¿Ð°Ð»Ð° Ñ• Ð¾ÑˆÐ¸Ð±ÐºÐ¾Ð¹ Ð½Ð° CLD-11.9-x86-64 Ð¿Ñ€Ð¸ make install

Ñ•ÐºÐ°Ñ‡Ð°Ð» Ð²Ñ€ÑƒÑ‡Ð½ÑƒÑŽ italc-2.0.0.tar.bz2

Ð²Ñ•Ðµ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ð»Ð¾Ñ•ÑŒ, Ð½Ð¾ Ð½ÐµÑ‚ Ð¿Ð¾Ñ‡ÐµÐ¼Ñƒ-Ñ‚Ð¾ Ð»Ð¾ÐºÐ°Ð»Ð¸Ð·Ð°Ñ†Ð¸Ð¸ Ð¸ Ð¾Ð½Ð° Ð² /usr/local

02/01/2012 10:19 am - Alexander Tratsevskiy

ÐœÐ¾Ð¶ÐµÑ‚ Ð² Ð±Ð°Ð³Ñ‚Ñ€ÐµÐºÐµÑ€ gentoo Ð¿Ñ€Ð°Ð²Ð¸Ð»ÑŒÐ½ÐµÐ¹ Ð±Ñ‹Ð»Ð¾ Ð±Ñ‹ Ð½Ð°Ð¿Ð¸Ñ•Ð°Ñ‚ÑŒ, Ð¿Ñ€Ð¸Ñ•Ð²Ð¾Ð¸Ð² 

Ð¿Ñ€Ð¸Ð¾Ñ€Ð¸Ñ‚ÐµÑ‚ High, ÐºÐ°Ðº Ð·Ð´ÐµÑ•ÑŒ? ÐÑ‚Ð¾Ñ‚ ÐµÐ±Ð¸Ð»Ð´ Ð² Ð¿Ð¾Ñ€Ñ‚ÐµÐ¶Ð°Ñ….

Ð’ÐµÑ€Ñ•Ð¸ÑŽ 2.0.0 Ð¸Ð¼ÐµÐ»Ð¾ Ð±Ñ‹ Ñ•Ð¼Ñ‹Ñ•Ð»Ð° Ð´Ð¾Ð±Ð°Ð²Ð»Ñ•Ñ‚ÑŒ Ð² Ð¾Ð²ÐµÑ€Ð»ÐµÐ¹, ÐµÑ•Ð»Ð¸ Ð±Ñ‹ Ñ•Ñ‚Ð¾Ñ‚ 

Ð¿Ð°ÐºÐµÑ‚ Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·Ð¾Ð²Ð°Ð»Ñ•Ñ• Ð² Ð¾Ð´Ð½Ð¾Ð¼ Ð¸Ð· Ð´Ð¸Ñ•Ñ‚Ñ€Ð¸Ð±ÑƒÑ‚Ð¸Ð²Ð¾Ð².

02/01/2012 01:07 pm - Dmitry Fomenko

ÐŸÐ¾Ð¶Ð°Ð»ÑƒÐ¹Ñ•Ñ‚Ð°, Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰Ð¸Ð¹ Ñ€Ð°Ð· Ð¿Ñ€Ð¸ÐºÑ€ÐµÐ¿Ð¸Ñ‚Ðµ Ð°Ñ‚Ñ‚Ð°Ñ‡Ð°Ð¼Ð¸ Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰ÐµÐµ, 

Ð±ÑƒÐ´ÐµÑ‚ Ð³Ð¾Ñ€Ð°Ð·Ð´Ð¾ Ð¿Ñ€Ð¾Ñ‰Ðµ Ñ€Ð°Ð·Ð±Ð¸Ñ€Ð°Ñ‚ÑŒ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñƒ:



 * If you need support, post the output of 'emerge --info =net-misc/italc-1.0.9',

 * the complete build log and the output of 'emerge -pqv =net-misc/italc-1.0.9'.

 * The complete build log is located at '/var/calculate/tmp/portage/net-misc/italc-1.0.9/temp/build.log'.



Ð¡Ð¿Ð°Ñ•Ð¸Ð±Ð¾.

02/01/2012 02:17 pm - Dmitry Fomenko

Ð Ð°Ð±Ð¾Ñ‡Ð¸Ð¹ net-misc/italc-1.0.13.ebuild Ð² Ð¾Ð²ÐµÑ€Ð»ÐµÐµ. Ð¢ÐµÑ•Ñ‚Ð¸Ñ€ÑƒÐ¹Ñ‚Ðµ. 2.0.0 Ð±ÑƒÐ´ÐµÑ‚ Ñ‡ÑƒÑ‚Ð¾Ðº Ð¿Ð¾Ð·Ð¶Ðµ.

02/07/2012 02:00 pm - Dmitry Fomenko

- Status changed from New to Resolved

- % Done changed from 0 to 100

Ð”Ð¾Ð±Ð°Ð²Ð»ÐµÐ½ italk-2.0.0.ebuild. ÐŸÐ¾Ñ•Ð»Ðµ Ñ•Ð¸Ð½Ñ…Ñ€Ð¾Ð½Ð¸Ð·Ð°Ñ†Ð¸Ð¸ develop-Ð²ÐµÑ‚ÐºÐ¸ Ñ• Ð¾Ñ•Ð½Ð¾Ð²Ð½Ð¾Ð¹ 

Ð±ÑƒÐ´ÐµÑ‚ Ð´Ð¾Ñ•Ñ‚ÑƒÐ¿ÐµÐ½ Ð´Ð»Ñ• Ñ‚ÐµÑ•Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ñ•. Ð¢Ð°ÐºÐ¶Ðµ Ð½ÐµÐ±Ð¾Ð»ÑŒÑˆÐ¾Ð¹ Ñ„Ð¸ÐºÑ• Ð´Ð»Ñ• 1.0.13 - 

Ð´Ð¾Ð±Ð°Ð²Ð»ÐµÐ½Ð° Ð³ÐµÐ½ÐµÑ€Ð°Ñ†Ð¸Ñ• .desktop-Ñ„Ð°Ð¹Ð»Ð°.

02/09/2012 11:19 pm - Oleg Volkov

italc-2.0.0 Ñ•Ð»ÐµÐ³ÐºÐ° Ð¿Ð¾Ð´Ð³Ð»ÑŽÑ‡Ð¸Ð²Ð°ÐµÑ‚ Ð¿Ð¾Ñ•Ð»Ðµ Ð²ÐºÐ»ÑŽÑ‡ÐµÐ½Ð¸Ñ• Ñ€ÐµÐ¶Ð¸Ð¼Ð° 

Ð´ÐµÐ¼Ð¾Ð½Ñ•Ñ‚Ñ€Ð°Ñ†Ð¸Ð¸, Ð±Ð¾Ð»ÐµÐµ Ñ‚Ð¾Ñ‡Ð½Ð¾ Ð¿Ñ€Ð¸Ñ‡Ð¸Ð½Ñƒ Ð¿Ð¾ÐºÐ° Ð½Ðµ Ð²Ñ‹Ñ•Ñ•Ð½Ð¸Ð».

02/11/2012 07:36 am - Oleg Volkov

italc Ð¿ÐµÑ€Ð²Ð¾Ð¹ Ð²ÐµÑ€Ñ•Ð¸Ð¸ Ð½Ðµ Ñ‚Ð°ÐºÐ¾Ð¹ ÑƒÐ¶ Ñ•Ñ‚Ð°Ð±Ð¸Ð»ÑŒÐ½Ñ‹Ð¹ ÐºÐ°Ðº Ñ…Ð¾Ñ‚ÐµÐ»Ð¾Ñ•ÑŒ Ð±Ñ‹, 

Ð¿Ð¾Ñ•Ñ‚Ð¾Ð¼Ñƒ Ñ€Ð°Ñ•Ñ•ÐºÐ°Ð·Ñ‹Ð²Ð°ÑŽ Ð¿Ñ€Ð¾ italc2.
1. Ð”Ð»Ñ• Ð¶ÐµÐ»Ð°ÑŽÑ‰Ð¸Ñ… Ñ•Ñ‚Ð°Ð²Ð¸Ñ‚ÑŒ Ð¿Ð¾Ñ•Ð»ÐµÐ´Ð½ÑŽÑŽ Ð²ÐµÑ€Ñ•Ð¸ÑŽ Ð¸Ð· git Ð½Ð°Ð´Ð¾ Ñ•ÐºÐ°Ñ‡Ð¸Ð²Ð°Ñ‚ÑŒ Ð½Ðµ 

master Ð° italc2, Ñ‚Ð¾Ð³Ð´Ð° Ð²Ñ•Ðµ ÐºÐ¾Ð¼Ð¿Ð¸Ð»Ð¸Ñ‚Ñ•Ñ• Ð¸ Ñ•Ð¾Ð±Ð¸Ñ€Ð°ÐµÑ‚Ñ•Ñ• (Ð¿Ð¸ÑˆÐµÑ‚ Ð²ÐµÑ€Ñ•Ð¸ÑŽ 2.0.1). Ð•Ð° 

Ð¾Ñ•Ñ‚Ð°Ð»ÑŒÐ½Ñ‹Ðµ Ð¼Ð°ÑˆÐ¸Ð½Ñ‹ Ð¼Ð¾Ð¶Ð½Ð¾ Ð¿ÐµÑ€ÐµÐ¿Ð¸Ñ•Ð°Ñ‚ÑŒ Ð³Ð¾Ñ‚Ð¾Ð²Ñ‹Ðµ Ñ„Ð°Ð¹Ð»Ñ‹ Ð¸Ð· /usr/local/(lib|bin), 

Ð¿Ð¾Ñ•Ð»Ðµ Ð²Ñ‹Ð¿Ð¾Ð»Ð½Ð¸Ñ‚ÑŒ ldconfig.

2. Ð•Ð°Ñ•Ñ‚Ñ€Ð¾Ð¹ÐºÐ° imc. Ð Ð°Ð±Ð¾Ñ‚Ð¾Ñ•Ð¿Ð¾Ñ•Ð¾Ð±Ð½Ñ‹Ð¹ Backend Ñ‚Ð¾Ð»ÑŒÐºÐ¾ VNC Reflector (Ð³Ð°Ð»Ð¾Ñ‡ÐºÑƒ Multitread 

Ð½Ðµ Ñ•Ñ‚Ð°Ð²Ð¸Ñ‚ÑŒ!). Ð•Ð° 7 Ð¼Ð°ÑˆÐ¸Ð½ ÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ Ð¿Ð¾Ð´Ñ‚Ð¾Ñ€Ð¼Ð°Ð¶Ð¸Ð²Ð°ÐµÑ‚, Ð½Ð¾ Ð¶Ð¸Ñ‚ÑŒ Ð¼Ð¾Ð¶Ð½Ð¾. 

Authentication methods Ñ•Ñ‚Ð°Ð²Ð¸Ð¼ Ð³Ð°Ð»Ð¾Ñ‡ÐºÐ¸ Key file authentication Ð¸ Ð½Ðµ Ñ•Ñ‚Ð°Ð²Ð¸Ð¼ Ð½Ð¸ Ð¾Ð´Ð½Ð¾Ð¹ Ð³Ð°Ð»Ð¾Ñ‡ÐºÐ¸ 

Ð½Ð° Ñ•Ñ‚Ð¾Ð¹ Ñ•Ñ‚Ñ€Ð°Ð½Ð¸Ñ†Ðµ.

3. Ð§Ñ‚Ð¾Ð±Ñ‹ italc Ð²Ð¾Ñ•Ñ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°Ð» Ñ€Ð°Ñ•Ð¿Ð¾Ð»Ð¾Ð¶ÐµÐ½Ð¸Ðµ Ð¾ÐºÐ¾Ð½ Ð½Ð°Ð´Ð¾ Ð²Ñ€ÑƒÑ‡Ð½ÑƒÑŽ Ð² 

Ñ„Ð°Ð¹Ð»Ðµ PersonalConfig.xml ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ autoarranged="0".

4. Ð•Ð° Ð¼Ð°ÑˆÐ¸Ð½Ðµ ÑƒÑ‡Ð¸Ñ‚ÐµÐ»Ñ• ica Ð½Ðµ ÐºÐ»Ð°Ð´Ð¸Ñ‚Ðµ Ð² Ð°Ð²Ñ‚Ð¾Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÑƒ Ð° Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°Ð¹Ñ‚Ðµ Ð² 

ÐºÐ¾Ð¼Ð¿Ð»ÐµÐºÑ‚Ðµ Ñ• italc. Ð ÐµÐºÐ¾Ð¼ÐµÐ½Ð´ÑƒÑŽ Ð¸Ñ… Ð¿ÐµÑ€ÐµÐ·Ð°Ð¿ÑƒÑ•ÐºÐ°Ñ‚ÑŒ Ð¿ÐµÑ€ÐµÐ´ 

Ð²ÐºÐ»ÑŽÑ‡ÐµÐ½Ð¸ÐµÐ¼ Demo Ñ€ÐµÐ¶Ð¸Ð¼Ð° Ð¸ Ð² Ð´Ñ€ÑƒÐ³Ð¸Ñ… Ñ•Ð¸Ñ‚ÑƒÐ°Ñ†Ð¸Ñ•Ñ… ÐµÑ•Ð»Ð¸ Ð²Ð´Ñ€ÑƒÐ³ Ð¼Ð°ÑˆÐ¸Ð½Ñ‹ 

ÑƒÑ‡ÐµÐ½Ð¸ÐºÐ¾Ð² Ð²Ñ‹Ð¿Ð°Ð´Ð°ÑŽÑ‚ Ð¸Ð· Ð¿Ð¾Ð´ ÐºÐ¾Ð½Ñ‚Ñ€Ð¾Ð»Ñ•. Ð¡ Ñ•Ñ‚Ð¸Ð¼ Ð¿Ð¾ÐºÐ° Ð´Ð¾ ÐºÐ¾Ð½Ñ†Ð° Ð½Ðµ 

Ñ€Ð°Ð·Ð¾Ð±Ñ€Ð°Ð»Ñ•Ñ•.

Ð’Ð¸Ð´Ð¸Ð¼Ð¾ Ð² Ð´ÐµÐ²ÐµÐ» Ð²ÐµÑ‚ÐºÑƒ Ð¼Ð¾Ð¶Ð½Ð¾ ÐºÐ»Ð°Ñ•Ñ‚ÑŒ Ð¿Ð¾Ñ•Ð»ÐµÐ´Ð½Ð¸Ð¹ git (italc2).

08/24/2012 09:58 am - Mikhail Hiretsky

- Status changed from Resolved to Closed
